telepathy-stream-engine (0.4.0-0osso5) unstable; urgency=low

  * Init GError pointer to NULL, Fixes: NB#83480 
  * Don't respond to NewMediaSessionHandler until GetSessionHandlers has
    returned, avoiding creating two sessions for the same handler if the
    timing is wrong

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed,  2 Apr 2008 13:46:18 -0400

telepathy-stream-engine (0.4.0-0osso4) unstable; urgency=low

  * Set the muteness on the audio src right after its creation, Fixes:
    NB#79332 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Fri, 18 Jan 2008 17:01:51 -0500

telepathy-stream-engine (0.4.0-0osso3.2) unstable; urgency=low

  * Fixes: NB#74722

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri, 18 Jan 2008 11:33:21 +0200

telepathy-stream-engine (0.4.0-0osso3.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri, 14 Dec 2007 15:08:35 +0200

telepathy-stream-engine (0.4.0-0osso3) unstable; urgency=low

  * Disable -Werror 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Thu, 13 Dec 2007 15:09:10 -0500

telepathy-stream-engine (0.4.0-0osso2) unstable; urgency=low

  * Stop the source before unrefing the pipeline, Fixes: NB#71472 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Mon,  1 Oct 2007 14:21:20 -0400

telepathy-stream-engine (0.4.0-0osso1) unstable; urgency=low

  * bump version to 0.4.0
  * merge misc-signals-marshal.list into tp-stream-engine-signals-marshal.list

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 28 Sep 2007 12:23:02 +0300

telepathy-stream-engine (0.3.25-0osso9) unstable; urgency=low

  * Stop the video source when there is no preview, Fixes: NB#65783 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Tue, 25 Sep 2007 12:14:19 -0400

telepathy-stream-engine (0.3.25-0osso8) unstable; urgency=low

  * Fix race when removing output window while the pipeline is going into
    the playing state 

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 19 Sep 2007 09:38:14 -0400

telepathy-stream-engine (0.3.25-0osso7) unstable; urgency=low

  * Disable force-aspect-ratio property, Fixes: NB#70161

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Wed, 19 Sep 2007 03:18:04 -0400

telepathy-stream-engine (0.3.25-0osso6) unstable; urgency=low

  * Add support for TLSF O(1) realtime allocator

 -- Jussi Laako <jussi.laako@nokia.com>  Tue, 18 Sep 2007 15:49:30 +0300

telepathy-stream-engine (0.3.25-0osso5) unstable; urgency=low

  * Fix crash in session cleanup code. Fixes: #68944.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 11 Sep 2007 16:34:56 +0100

telepathy-stream-engine (0.3.25-0osso4) unstable; urgency=low

  * Fix crash when stream is removed.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 27 Aug 2007 21:51:29 +0100

telepathy-stream-engine (0.3.25-0osso3) unstable; urgency=low

  * Just call _exit when SIGBUS is received. Fixes: NB#64156.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 24 Aug 2007 17:30:05 +0100

telepathy-stream-engine (0.3.25-0osso2) unstable; urgency=low

  * Don't crash when call ends or connection manager dies. Fixes: NB#65816.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 20 Aug 2007 18:59:52 +0100

telepathy-stream-engine (0.3.25-0osso1) unstable; urgency=low

  * Properly block pads before removing the preview window, Fixes: NB#59518

 -- Philippe Kalaf <philippe.kalaf@collabora.co.uk>  Thu,  9 Aug 2007 16:40:27 -0400

telepathy-stream-engine (0.3.24-0osso1) unstable; urgency=low

  * Set preroll-queue-len property on preview xvimagesinks in order to support
    multiple preview windows
  * Implement STREAM_ENGINE_LOGFILE to redirect stdin/stderr to a file
  * Add StreamStateChanged to report stream state and direction changes to the
    UI
  * Remove redundant code, various fixes

 -- Olivier Crête <olivier.crete@collabora.co.uk>  Sat, 21 Jul 2007 15:33:29 -0400

telepathy-stream-engine (0.3.23-0osso2.3) unstable; urgency=low

  * build dependency on libc6-dev (>= 2.5) added. Fixes: NB#64497

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri, 20 Jul 2007 11:41:54 +0300

telepathy-stream-engine (0.3.23-0osso1) unstable; urgency=low

  * Add Google Talk relay support.

 -- Robert McQueen <robot101@debian.org>  Mon, 30 Apr 2007 19:38:06 +0100

telepathy-stream-engine (0.3.22-0osso1) unstable; urgency=low

  * Add DTMF support.

 -- Robert McQueen <robot101@debian.org>  Sun, 15 Apr 2007 20:59:45 +0100

telepathy-stream-engine (0.3.21-0osso1) unstable; urgency=low

  * Add support for picking up NAT traversal, STUN server and ports from the
     media channels.
  * Pause the media server once per call rather than once per channel.
  * Clean up some header files.

 -- Robert McQueen <robot101@debian.org>  Tue, 27 Feb 2007 01:01:18 +0000

telepathy-stream-engine (0.3.20-0osso1) unstable; urgency=low

  * New release:
    - Make logic for creating sources/sinks cleverer.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu,  4 Jan 2007 18:05:45 +0000

telepathy-stream-engine (0.3.19-0osso1) unstable; urgency=low

  * Remove xvimagesinks BEFORE stopping the pipeline
  Fixes: NB#46368

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Fri,  8 Dec 2006 20:54:24 -0500

telepathy-stream-engine (0.3.18-0osso1) unstable; urgency=low

  * New version.
    - Only close video streams when an error occurs on the video pipeline.
      Fixes: NB#48087.
    - Handle v4l2src failures. Fixes: NB#49168.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu,  7 Dec 2006 14:30:17 +0000

telepathy-stream-engine (0.3.17-0osso1) unstable; urgency=low

  * Drop default resolution to QCIF. (Fixes: NB#49138)

 -- Robert McQueen <robot101@debian.org>  Thu,  7 Dec 2006 09:51:19 +0000

telepathy-stream-engine (0.3.16-0osso1) unstable; urgency=low

  * Clean up streams if the connection manager has already removed them by the
     time we respond to their addition. (Fixes: NB#48907)
  * Remove SEGV handlers & backtrace code so that core files are useful.

 -- Robert McQueen <robot101@debian.org>  Fri,  1 Dec 2006 21:19:24 +0000

telepathy-stream-engine (0.3.15-0osso1) unstable; urgency=low

  * Add a simple SIGALRM watchdog with a 5 second timer to kill the process
     after 30 seconds of inactivity on the mainloop thread.
  * Tweak the handling of video stream errors so that the stream is stopped
     when an error is signalled to the connection manager, rather than waiting
     for the connection manager to close the stream.

 -- Robert McQueen <robot101@debian.org>  Sun, 26 Nov 2006 16:45:30 +0000

telepathy-stream-engine (0.3.14-0osso1.1) unstable; urgency=low

  * Re-enable realtime functionality

 -- Jussi Laako <jussi.laako@nokia.com>  Fri, 24 Nov 2006 13:07:00 +0200

telepathy-stream-engine (0.3.14-0osso1) unstable; urgency=low

  * New release.
    - Only close video streams when an error occurs on the video pipeline.
      Fixes: NB#48087.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 21 Nov 2006 21:49:52 +0000

telepathy-stream-engine (0.3.13-0osso1) unstable; urgency=low

  * New release.
    - Don't try to destroy a sink element that doesn't exist. Fixes: NB#47636.
    - Don't abort if calling a Gabble method fails.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 16 Nov 2006 12:34:23 +0000

telepathy-stream-engine (0.3.12-0osso2) unstable; urgency=low

  * Fix segfault in error management code.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu,  9 Nov 2006 12:21:13 +0200

telepathy-stream-engine (0.3.12-0osso1) unstable; urgency=low

  * Improve GStreamer pipeline management and error handling.
    Fixes: NB#46368, NB#44805.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed,  8 Nov 2006 18:18:40 +0200

telepathy-stream-engine (0.3.11-0osso2) unstable; urgency=low

  * Tweak from Zeeshan Ali to ensure that we store the XID<->sink mapping
     before the sink could start playing. (fixes: NB#45479)

 -- Robert McQueen <robot101@debian.org>  Thu,  2 Nov 2006 15:28:05 +0000

telepathy-stream-engine (0.3.11-0osso1) unstable; urgency=low

  * New upstream release:
     - clean up media server proxy in a safe manner (fixes: NB#45812)
     - roll back changing SetSending to try and unlink/relink the tee, and
        just block the entire video send pipeline as before, it introduced far
        more problems than it solved
     - remove unrequired ffmpegcolorspace element
     - allow setting video source FPS in environment variable

 -- Robert McQueen <robot101@debian.org>  Wed,  1 Nov 2006 03:07:00 +0000

telepathy-stream-engine (0.3.10-0osso1) unstable; urgency=low

  * New version.
    - Work if media server support is enabled but media server isn't running.
    - Pipeline management changes which should improve reliability.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 26 Oct 2006 21:00:07 +0100

telepathy-stream-engine (0.3.9-0osso1) unstable; urgency=low

  * New version.
    - Propagate channel error to all streams instead of sessions
    - Properly handle gst errors in async bus handler and exit()

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed, 18 Oct 2006 14:25:14 +0100

telepathy-stream-engine (0.3.8-0osso1) unstable; urgency=low

  * New upstream version:
     - Hook up SetStreamSending signals to farsight_stream_set_sending
     - TpStreamEngine: if MAEMO_OSSO_SUPPORT is enabled, look for
        "gconfv4l2src" in favour of "v4l2src"

 -- Robert McQueen <robot101@debian.org>  Wed, 11 Oct 2006 21:45:23 +0100

telepathy-stream-engine (0.3.7-0osso1.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed, 11 Oct 2006 11:31:14 +0300

telepathy-stream-engine (0.3.7-0osso1) unstable; urgency=low

  [ Zeeshan Ali ]
  * src/stream.c: (tp_stream_engine_stream_set_output_window):
  * src/tp-stream-engine.c: (tp_stream_engine_add_preview_window):
  Build the videosink from the environment varriable if set.

  [ Robert McQueen ]
  * ignore BadValue errors on preview/output windows (they can happen with xv)

  [ Philippe Khalaf ]
  * Add new dbus signal "received" on StreamEngine to signal when we are
    receiving a stream
  * Cleanup xvimagesink leaks and shutdown sequence

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 10 Oct 2006 12:00:26 -0400

telepathy-stream-engine (0.3.6-0osso1.1) unstable; urgency=low

  * Cleanups to removing video sinks from pipeline during shutdown
  * Fix GstMessage leaks in bus_sync_handler (Gstreamer example code is
    wrong)
  * Don't set sink to NULL on normal shutdown (only when setting
    window_id to 0)
  * Mangled ordering and logic in _remove_video_sink()
  * Make sure stream-engine stops all farsight streams when channel
    closes
  * Use gst_object_unref() for sink instead of g_object_unref()

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu,  5 Oct 2006 10:20:14 +0300

telepathy-stream-engine (0.3.6-0osso1) unstable; urgency=low

  * New version:
    - NULL media server proxy before unreffing the proxy
    - consistently refer to Maemo media server as media server
    - clean up boring file

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 21 Sep 2006 16:35:38 +0100

telepathy-stream-engine (0.3.5-0osso2) unstable; urgency=low

  * Build with --enable-maemo-support.

 -- Dafydd Harries <daf@debian.org>  Wed, 13 Sep 2006 14:11:17 +0100

telepathy-stream-engine (0.3.5-0osso1) unstable; urgency=low

  * New version:
     - improved robustness of removing preview windows
     - add support for removing output windows

 -- Robert McQueen <robot101@debian.org>  Fri, 15 Sep 2006 18:00:43 +0300

telepathy-stream-engine (0.3.4-0osso1) unstable; urgency=low

  * New version.

 -- Dafydd Harries <daf@debian.org>  Wed, 13 Sep 2006 14:11:17 +0100

telepathy-stream-engine (0.3.3-0osso1) unstable; urgency=low

  * New version.
  * Depends on libtelepathy > 0.0.33 and libfarsight > 0.1.8.
  * Adds support for output windows, preview windows, etc etc. Some of them
     may even work.

 -- Robert McQueen <robot101@debian.org>  Mon, 11 Sep 2006 14:07:59 +0300

telepathy-stream-engine (0.3.2-0osso1) unstable; urgency=low

  * New version.

 -- Dafydd Harries <daf@debian.org>  Wed,  6 Sep 2006 19:05:44 +0300

telepathy-stream-engine (0.3.1-0osso1) unstable; urgency=low

  [ Dafydd Harries ]
  * New version:
    - Implements Telepathy spec 0.13.3.
    - Handles multiple channels/sessions/streams at once.
    - Initial support for video streams.
    - Implements API changes for manipulating individual streams and displaying
      incoming video.
    - Fixes media engine pausing issues. Closes: Maemo #38364.
    - Uses StreamEngine rather than VoipEngine in the DBus service name and
      object path.
  * Require libtelepathy >= 0.0.32.

  [ Dmitry Rozhkov ]
  * libgstreamer-plugins-base0.10-dev added to build-depends

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed, 30 Aug 2006 12:01:28 +0300

telepathy-stream-engine (0.3.0-0osso1) unstable; urgency=low

  * New 0.3 branch.
  * Package renamed to telepathy-stream-engine.

 -- Dafydd Harries <daf@debian.org>  Thu, 27 Jul 2006 13:19:37 +0100

telepathy-voip-engine (0.1.8-0osso3) unstable; urgency=low

  * Disable infoprints (Closes #30089).
  * Catch SIGSEGV and shutdown pipeline (Closes #30492).

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Thu, 25 May 2006 18:21:56 +0100

telepathy-voip-engine (0.1.8-0osso2) unstable; urgency=low

  * Conflict against osso-media-engine << 1.0.23
  * Emit enable to media engine when channel is closed.

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Tue, 23 May 2006 13:11:01 +0100

telepathy-voip-engine (0.1.8-0osso1) unstable; urgency=low

  * New release

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Thu, 18 May 2006 19:31:29 +0100

telepathy-voip-engine (0.1.7-0osso1) unstable; urgency=low

  * New upstream release.

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Fri, 12 May 2006 18:13:07 +0300

telepathy-voip-engine (0.1.6-0osso2) unstable; urgency=low

  * Enable infoprint debugging
  * Add message for DSP crash.

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Thu, 11 May 2006 09:46:46 +0100

telepathy-voip-engine (0.1.6-0osso1) unstable; urgency=low

  * New upstream release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Wed, 10 May 2006 19:17:29 +0300

telepathy-voip-engine (0.1.5-0osso1) unstable; urgency=low

  * New upstream release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Wed, 26 Apr 2006 10:22:21 +0100

telepathy-voip-engine (0.1.4-0osso1) unstable; urgency=low

  * New upstream release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Mon, 24 Apr 2006 18:38:17 +0100

telepathy-voip-engine (0.1.3-0osso2) unstable; urgency=low

  * New upstream release

 -- Burger <philippe.kalaf@collabora.co.uk>  Wed, 12 Apr 2006 13:26:01 -0400

telepathy-voip-engine (0.1.3-0osso1) unstable; urgency=low

  * New upstream release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Sun,  9 Apr 2006 13:06:36 +0300

telepathy-voip-engine (0.1.2-0osso2) unstable; urgency=low

  * add missing file, error gracefully when failing to get proxy to channel

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Fri,  7 Apr 2006 17:40:36 +0300

telepathy-voip-engine (0.1.2-0osso1) unstable; urgency=low

  * New upstream version.

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Fri,  7 Apr 2006 16:45:38 +0300

telepathy-voip-engine (0.1.1-0osso1) unstable; urgency=low

  * New upstream release.

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Thu,  6 Apr 2006 11:03:21 +0300

telepathy-voip-engine (0.1.0-0osso3) unstable; urgency=low

  * Code fix

 -- Philippe Khalaf <philippe.kalaf@collabora.co.uk>  Wed,  5 Apr 2006 16:12:33 -0400

telepathy-voip-engine (0.1.0-0osso2) unstable; urgency=low

  * Build dep on libfarsight-dev (>=0.1.2)

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Tue,  4 Apr 2006 17:43:15 +0300

telepathy-voip-engine (0.1.0-0osso1) unstable; urgency=low

  * New upstream release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Tue,  4 Apr 2006 13:45:04 +0300

telepathy-voip-engine (0.0.1-2osso2.2) unstable; urgency=low

  * version updated as 0.0.1-2 has been already integrated

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Mon, 13 Mar 2006 20:22:42 +0200

telepathy-voip-engine (0.0.1-1osso2.1) unstable; urgency=low

  * cdbs added to Build-Depends:

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Mon, 13 Mar 2006 19:48:51 +0200

telepathy-voip-engine (0.0.1-1osso2) unstable; urgency=low

  * new release

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Mon, 13 Mar 2006 19:10:43 +0200

telepathy-voip-engine (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Sun, 15 Jan 2006 21:00:47 +0000
